#################################################
#
#  (C) 2013 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katefiletemplates (kpart) #################

tde_add_kpart( katefiletemplates AUTOMOC
  SOURCES filetemplates.cpp
  LINK kateinterfaces-shared tdenewstuff-shared katepartinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katefiletemplates
)

install( FILES katetemplate.xml
  DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax
)

install( FILES katefiletemplates.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)
